Pular para o conteúdo

Upload de imagem

Requisição

Host: Keeta. Envia uma imagem e recebe a URL para usar na sincronização do cardápio.

ItemDetalhe
QuerymerchantId (obrig.)
CorpoimageData (bytes da imagem), imageName
Resposta 200data = URL da imagem

Erros: 400, 401, 403, 404, 422, 503.

Segurança
OAuth2(Escopos obrigatórios: od.all) and Sig
Consulta
merchantIdstringobrigatório

The ID of the Merchant for whom you want to complete or change registration info.

Corpoapplication/json
imageDatastring, (binary)obrigatório

The byte array of the image.

imageNamestringobrigatório

The name of the image.

curl -i -X POST \
  'https://open.mykeeta.com/api/open/opendelivery/v1/merchant/image/upload?merchantId=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-App-Signature: YOUR_API_KEY_HERE' \
  -d '{
    "imageData": "string",
    "imageName": "string"
  }'

Respostas

upload result

Corpoapplication/json
datastring

image URL

Exemplo:"https://abrasel-nacional.github.io/opendelivery/images/wertwr34ebh67thook.png"
Resposta
{ "data": "https://abrasel-nacional.github.io/opendelivery/images/wertwr34ebh67thook.png" }